'''
info.py

Copyright 2006 Andres Riancho

This file is part of w3af, w3af.sourceforge.net .

w3af is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation version 2 of the License.

w3af is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with w3af; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

'''

from core.controllers.w3afException import w3afException
from core.data.parsers.urlParser import *

class info(dict):
	'''
	This class represents an information that is saved to the kb.
	@author: Andres Riancho ( andres.riancho@gmail.com )
	'''
	def __init__(self):
		self._url = ''
		self._uri = ''
		self._desc = ''
		
	def setURL( self, url ):
		self._url = uri2url( url )
	
	def setURI( self, uri ):
		self._uri = uri
		self._url = uri2url( uri )
		
	def setDesc( self, desc ):
		self._desc = desc
		
	def getURL( self ):
		return self._url
	
	def getURI( self ):
		return self._uri
		
	def getDesc( self ):
		if self._id != None and self._id != 0:
			return self._desc + ' The issue was found in the request with id ' + str(self._id) + '.'
		else:
			return self._desc
		
	def setId( self, id ):
		'''
		This is is the one from the response object that uniquely identifies all 
		requests and responses.
		'''
		self._id = id		
